Bug 804976 - Compensate boundary event catches wrong event type
Compensate boundary event catches wrong event type
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ER6
: BRMS 5.3.0.GA
Assigned To: Maciej Swiderski
Tomas Schlosser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 07:16 EDT by Tomas Schlosser
Modified: 2012-06-20 13:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Schlosser 2012-03-20 07:16:50 EDT
Description of problem:
When a process is created containing boundary compensate catching event, the caught event always has event type 'Compensation-<id of the catching node>'. It should either have 'Compensation-<id of the node the catching node is attached to>' or 'Compensation-<value of activityRef>'.

Version-Release number of selected component (if applicable):
BRMS-5.3.0-ER4

How reproducible:
Every time

Steps to Reproduce:
1. execute BPMN2-CompensateEndEvent.bpmn2 from jbpm-bpmn2 package
  
Actual results:
process is completed without triggering compensate action

Expected results:
compensate action is triggered before the process is completed

Additional info:
Comment 1 Maciej Swiderski 2012-03-23 06:45:04 EDT
pull request merged into 5.2.x branch
Comment 2 Ryan Zhang 2012-04-23 03:38:52 EDT
Update status to ON_QA. Please verify them against ER6.

Note You need to log in before you can comment on or make changes to this bug.